Author Topic: Upgrading from a 1.0 release  (Read 1770 times)

Offline soprano

  • Jr. Member
  • **
  • Posts: 27
Upgrading from a 1.0 release
« on: March 26, 2020, 11:15:25 AM »
Hi all,

I would like to know which steps i need to do for upgrading an old 1.0.1 version to at least 1.2 or 1.3 version if not 1.4 version.

I would like to know also from which version of roundcube is possibile to use PHP v7.1, from which 7.2, from which 7.3 and from which 7.4

I use up-imapproxy to connect to my imap server, i will have problems using this if i update roundcube.

I have a license to use if i remember good the droid skin for mobile phones, but i suppose it will not work anymore, is there a mobile skin available now ?

I use Roundcube on 2 machines both connected to the same mysql server and the users use it passing from a Load Balancer, can i continue to use it in this way or i need to change something ?

Thanks in advance for the help
Claudio

Offline soprano

  • Jr. Member
  • **
  • Posts: 27
Re: Upgrading from a 1.0 release
« Reply #1 on: March 26, 2020, 11:17:19 AM »
I tried to search Roundcube 1.0.x vesions or 1.1.x versions to download them but i can't find them.

Is there some way to download them i could also update the version at the latest 1.0.x version before and then move to the new ones later.

Let me know
Claudio

Offline JohnDoh

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2,457
Re: Upgrading from a 1.0 release
« Reply #2 on: March 26, 2020, 01:08:22 PM »
Quote
I would like to know which steps i need to do for upgrading an old 1.0.1 version to at least 1.2 or 1.3 version if not 1.4 version.
1.4.3 is the current stable version of Roundcube

Quote
I would like to know also from which version of roundcube is possibile to use PHP v7.1, from which 7.2, from which 7.3 and from which 7.4
PHP7 compatibility was added in Roundcube 1.2. Information on the various changes and fixes is available in the changelog https://github.com/roundcube/roundcubemail/blob/release-1.4/CHANGELOG

Quote
I use up-imapproxy to connect to my imap server, i will have problems using this if i update roundcube.
There is no reason it would, since you are running such an old version you may need to carefully review your Roundcube config.

Quote
I have a license to use if i remember good the droid skin for mobile phones, but i suppose it will not work anymore, is there a mobile skin available now ?
No idea about "droid skin for mobile phones". 1.4 ships with the Elastic skin, a responsible skin designed to work on desktops, tables and phones.

Quote
I use Roundcube on 2 machines both connected to the same mysql server and the users use it passing from a Load Balancer, can i continue to use it in this way or i need to change something ?
I don't see why not. Some info for load balanced setups is available in the wiki https://github.com/roundcube/roundcubemail/wiki/Configuration:-Load-balanced-Setup

Make sure you read the upgrading instructions before you start
« Last Edit: March 26, 2020, 01:21:16 PM by JohnDoh »
Roundcube Plugins: Contextmenu, SpamAssassin Prefs, and more…

Offline soprano

  • Jr. Member
  • **
  • Posts: 27
Re: Upgrading from a 1.0 release
« Reply #3 on: March 27, 2020, 05:01:22 AM »
Quote
I would like to know which steps i need to do for upgrading an old 1.0.1 version to at least 1.2 or 1.3 version if not 1.4 version.
1.4.3 is the current stable version of Roundcube

But can i move from 1.0 release to 1.4 release straight forward ? or i need to move to 1.0.last first, then 1.1, then 1.2 then 1.3 and for last to 1.4 ?

Quote
I would like to know also from which version of roundcube is possibile to use PHP v7.1, from which 7.2, from which 7.3 and from which 7.4
PHP7 compatibility was added in Roundcube 1.2. Information on the various changes and fixes is available in the changelog https://github.com/roundcube/roundcubemail/blob/release-1.4/CHANGELOG
Thanks i will give it a look

Quote
I use up-imapproxy to connect to my imap server, i will have problems using this if i update roundcube.
There is no reason it would, since you are running such an old version you may need to carefully review your Roundcube config.
Which imap proxy software do you think i would use instead ?

Quote
I have a license to use if i remember good the droid skin for mobile phones, but i suppose it will not work anymore, is there a mobile skin available now ?
No idea about "droid skin for mobile phones". 1.4 ships with the Elastic skin, a responsible skin designed to work on desktops, tables and phones.
Is it free ?

Quote
I use Roundcube on 2 machines both connected to the same mysql server and the users use it passing from a Load Balancer, can i continue to use it in this way or i need to change something ?
I don't see why not. Some info for load balanced setups is available in the wiki https://github.com/roundcube/roundcubemail/wiki/Configuration:-Load-balanced-Setup
Thanks i will give it a look

Make sure you read the upgrading instructions before you start
Yes but it instruction don't talk about moving from 1.0.x release to the latest one

And a final question is possibile to upgrade from 1.0.x to the 1.0.last or 1.1.last because i can't find where download them

Claudio

Offline soprano

  • Jr. Member
  • **
  • Posts: 27
Re: Upgrading from a 1.0 release
« Reply #4 on: March 27, 2020, 05:27:43 AM »
Can someone fill the missing latest versions

For v1.4 the latest is 1.4.3

For v1.3 the latest is 1.3.10

For v1.2 the latest is 1.2.9

For v1.1 the latest is ???

For v1.0 the latest is ???

Thanks in advance
Claudio

Offline JohnDoh

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2,457
Re: Upgrading from a 1.0 release
« Reply #5 on: March 27, 2020, 09:06:38 AM »
Quote
But can i move from 1.0 release to 1.4 release straight forward ?
You should be able to

About the IMAP proxy. I made a typo I meant to say there is no reason it wouldn't work.

The Elastic skin is free yes, it is distributed with Roundcube.

The upgrading instructions are the same for all versoins you can run `./bin/installto.sh <TARGET-FOLDER>` or you can follow the manual steps listed in the UPGRADING file.

The last versions of 1.0.x and 1.1.x where 1.0.12 and 1.1.12 all the old relases are available on github.
Roundcube Plugins: Contextmenu, SpamAssassin Prefs, and more…

Offline soprano

  • Jr. Member
  • **
  • Posts: 27
Re: Upgrading from a 1.0 release
« Reply #6 on: March 30, 2020, 11:33:38 AM »
Quote
But can i move from 1.0 release to 1.4 release straight forward ?
You should be able to

About the IMAP proxy. I made a typo I meant to say there is no reason it wouldn't work.

The Elastic skin is free yes, it is distributed with Roundcube.

The upgrading instructions are the same for all versoins you can run `./bin/installto.sh <TARGET-FOLDER>` or you can follow the manual steps listed in the UPGRADING file.

The last versions of 1.0.x and 1.1.x where 1.0.12 and 1.1.12 all the old relases are available on github.

Ok thank you for all your answers, for now i upgrade to the latest 1.0.x i will do some tests and then i will move to 1.1.x then again tests and go on.

We use LDAP autentication, mysql DB server, imapproxy, do you think we will have to change something in the configuration files moving from a version to another one ?

Are there some settings that will be need to be removed moving to newer versions ?

Are there any tweaks (memcache or other software to use) to speed up the roundcube clients experience ?

Thanks again for your help
Claudio

Offline JohnDoh

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2,457
Re: Upgrading from a 1.0 release
« Reply #7 on: March 30, 2020, 01:54:13 PM »
Quote
We use LDAP autentication, mysql DB server, imapproxy, do you think we will have to change something in the configuration files moving from a version to another one ?
No one here can answer that with any certainty since we don't know your config.

I understand that you have a lot of concerns because you are making such a big jump, your current version is way out of date so its a bit scary. Do you have an test environment you can run the update in first? If you are using only the skins and plugins distributed with Roundcube then it should be pretty smooth.

Quote
Are there some settings that will be need to be removed moving to newer versions ?
For sure there will have been some changes to the default config in all this time, if you need to change anything though I can't answer because I don't know your config. Your config.inc.php file should only contain things you have changed from the defaults so if you review those configs against the current defaults.inc.php you should be fine. Any breaking changes to config should be mentioned in the release notes of the various versions - there was a problem with 1.4 where the info only went into the release notes with 1.4.1.

In general though I think Roundcube has good backwards compatibility.

Quote
Are there any tweaks (memcache or other software to use) to speed up the roundcube clients experience ?
There are a few tips here https://github.com/roundcube/roundcubemail/wiki/Configuration:-Load-balanced-Setup
Roundcube Plugins: Contextmenu, SpamAssassin Prefs, and more…

Offline soprano

  • Jr. Member
  • **
  • Posts: 27
Re: Upgrading from a 1.0 release
« Reply #8 on: April 07, 2020, 10:12:51 AM »
Quote
We use LDAP autentication, mysql DB server, imapproxy, do you think we will have to change something in the configuration files moving from a version to another one ?
No one here can answer that with any certainty since we don't know your config.

I understand that you have a lot of concerns because you are making such a big jump, your current version is way out of date so its a bit scary. Do you have an test environment you can run the update in first? If you are using only the skins and plugins distributed with Roundcube then it should be pretty smooth.

Ok i moved from v1.0.x to v1.0.12 and then i moved from v1.0.12 to v1.1.12, i had to change the captcha plugin because the old one drcaptcha was not available anymore and outdated i suppose, so i change it with rcguard plugin, i configured it to use recaptcha v2 from google and now it seems to work, i can't get the pictures but only the tick box, but some other user told me he had the pictures, so maybe it is working i suppose.
Other strange thing is that it would use the new table rcguard but it is empty, always, anyway i enabled the plugin always, so attempts set to 0, maybe with this value it doesn't need to use the DB.

I have only the capthca and the keyboard_shortcuts (i hope this will work with newer release of roundcube) plugins installed so i suppose i will not have too problems moving forward again.

Quote
Are there some settings that will be need to be removed moving to newer versions ?
For sure there will have been some changes to the default config in all this time, if you need to change anything though I can't answer because I don't know your config. Your config.inc.php file should only contain things you have changed from the defaults so if you review those configs against the current defaults.inc.php you should be fine. Any breaking changes to config should be mentioned in the release notes of the various versions - there was a problem with 1.4 where the info only went into the release notes with 1.4.1.

In general though I think Roundcube has good backwards compatibility.

Ok no problem i will switch to v1.2.9 then v1.3.10, then if all works i will move to v1.4.3, i always will use the latest version of each main release.

Quote
Are there any tweaks (memcache or other software to use) to speed up the roundcube clients experience ?
There are a few tips here https://github.com/roundcube/roundcubemail/wiki/Configuration:-Load-balanced-Setup

Ok i read that document and i have already this kind of setup, so i don't need to upgrade nothing about it

But now i have a new question:

I have found that i can have two mysql user account, one for WRITE and one for READ using the

$config['db_dsnw'] = ''; for WRITE operations

$config['db_dsnr'] = ''; for READ operations

and then

$config['db_dsnw_noread'] = true;

i set it now but how i can check if it is working or not ?

in the documentation it tell for the db_dsnr config

// Database DSN for read-only operations (if empty write database will be used)
// useful for database replication

and for the db_dsnw_noread config
// Disable the use of already established dsnw connections for subsequent reads

Is true the right value if i want to use the READ account for read operations also if the WRITE account was used before ?

Thanks again
Claudio

Offline JohnDoh

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2,457
Re: Upgrading from a 1.0 release
« Reply #9 on: April 08, 2020, 01:05:39 PM »
It sounds like you have done your configuration correctly. I don't know how you can verify it. I'm not sure if the sql_debug logs show that information. I guess the most reliable way is to have a look at the transaction log on your sql server.
Roundcube Plugins: Contextmenu, SpamAssassin Prefs, and more…

Offline soprano

  • Jr. Member
  • **
  • Posts: 27
Re: Upgrading from a 1.0 release
« Reply #10 on: April 09, 2020, 06:43:11 AM »
Ok i have set the READ account to have only SELECT privileges to roundcube DB, is that the only privilege that it needs to have ?

I found no documentation about the read account or some wiki page how to create/use it.

Let me know if you know something more.

Claudio

Offline soprano

  • Jr. Member
  • **
  • Posts: 27
Re: Upgrading from a 1.0 release
« Reply #11 on: April 09, 2020, 11:34:58 AM »
Ok i solved the problem for the READ account, the SELECT privilege is all it needs, i enable the transaction logs and found it works with no error.

Now i payed attention to the logs because i have a lot of authentication error on imap server but always for the same users

Apr  9 16:23:55 imap1 dovecot: imap-login: Disconnected (auth failed, 1 attempts in 2 secs): user=<>, method=PLAIN, rip=172.17.23.41, lip=193.206.84.43, TLS, session=<55nGXdyiFLCsERcp>

and then

Apr  9 16:24:55 imap1 dovecot: imap-login: Disconnected (auth failed, 1 attempts in 2 secs): user=<>, method=PLAIN, rip=172.17.23.41, lip=193.206.84.43, TLS, session=<D3JaYdyi3LKsERcp>

and again 1 minute after this another one and so on

they are there each minute one entry for the same user after the first one, i'm sure that the user can login else i will have received an email

This is with v1.0.12 (i updated the production webmail servers), i tried to search old logs and i had some entry but each 5-10 minutes and not for the same user, no messages repeated.

There is some default settings set to 60 seconds ?

I use UW imapproxy, the configuration is the same i changed nothing on it.

Thanks for any help.

Claudio

Offline soprano

  • Jr. Member
  • **
  • Posts: 27
Re: Upgrading from a 1.0 release
« Reply #12 on: April 09, 2020, 11:52:31 AM »
in the default.inc.php i found these two maybe relevant settings

$config['min_refresh_interval'] = 60;
$config['refresh_interval'] = 60;

refresh for what ? to search for a new email in the inbox ? i suppose it needs to authenticate again ?

Claudio

Offline JohnDoh

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2,457
Re: Upgrading from a 1.0 release
« Reply #13 on: April 09, 2020, 12:38:30 PM »
refresh interval is how often the server is polled for new messages while the user is on the mailbox screen.

as for your dovecot errors, are you sure its coming from roundcube? are there corresponding failed logins noted in the roundcube error log?
Roundcube Plugins: Contextmenu, SpamAssassin Prefs, and more…

Offline soprano

  • Jr. Member
  • **
  • Posts: 27
Re: Upgrading from a 1.0 release
« Reply #14 on: April 09, 2020, 12:45:58 PM »
The /var/www/html/logs dir is empty but i don't know if login_errors are enabled.

I will check now

Claudio